#! Flux3D 19.1

# Plot cogging torque curve
EvolutiveCurve2D(name='CURVE_TORQUE_VS_SLIP',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['SLIP'],
                                                                                 limitMin=1.0E-4,
                                                                                 limitMax=1.0)]),
                 formula=['TorqueElecMag(ROTOR)'])

CurveVariation2D['CURVE_TORQUE_VS_SLIP'].exportTXT(txtFile='result/TestCase_RES',
          mode='add')

CurveVariation2D['CURVE_TORQUE_VS_SLIP'].exportExcel(xlsFile='TestCase_RES',
            mode='add')
