#! Flux2D 11.2
newProject()

SketcherOption[1].magnetizationGrid = MagnetizationGrid(gridActivation='OUI', lengthGridCell=10.0, cellSubdivision=10, subdivisionPoint=10)

openSketcher2dContext()

closeSketcher2dContext()

buildFaces()

loadOverlay(name='Induction_Motors_V11.1.PFO')

ImportSpeed(filePath='LS132M_8p_3kW.im1')

leaveOverlay()
MotorIMD['MotorSpeed'].excentricity = ExcentricityNo(bdr='2_LAYERS_AIRGAP',
                                                     periodicity='YES')

MotorIMD['MotorSpeed'].infiniteBox = InfiniteDisc(rInt=110.0,
                                                  rExt=140.0)


leaveOverlay()
saveProjectAs('LS132M_8p_3kW.FLU')

lastInstance = ApplicationMagneticAC2D(frequency='50',
                                       domain2D=Domain2DPlane(lengthUnit=LengthUnit['MILLIMETER'],
                                       depth='90'),
                                       coilCoefficient=CoilCoefficientAutomatic())

saveProject()

#! Wed Jan 14 09:27:57 CET 2015 loadProject('D:/fzidat/Bureau/Valorisation/MAS_3D_8p/LS132M_8p_3kW.FLU')

saveProjectAs('LS132M_8p_3kW_base.FLU')

#! Wed Jan 14 14:11:54 CET 2015 loadProject('D:/fzidat/Bureau/Valorisation/MAS_3D_8p/LS132M_8p_3kW_base.FLU')

MotorIMD['MotorSpeed'].infiniteBox = None


leaveOverlay()
saveProject()

#! Wed Jan 21 12:14:56 CET 2015 loadProject('D:/fzidat/Bureau/Valorisation/MAS_3D_8p/Test_2D_3kW/LS132M_8p_3kW_base.FLU')

lastInstance = ParameterGeom(name='lstk',
                             expression='90/2')

lastInstance = ParameterGeom(name='erthk',
                             expression='10-(2*CAGE1_SETBACK)')



saveProject()

#! Tue Oct 22 15:21:18 CEST 2019 loadProject('D:/Altair/Flux/S03/FV_606_Tutorial_IM3D/IM3D/InductionMotor2D.FLU')

ParameterGeom['PERIODICITE'].name='PERIODICITY : PERIODICITE'


saveProject()

